<?php
/**
 * 银行卡验证
 * Company: www.baofu.com
 * @author dasheng(大圣)
 * @date 2022年08月19日
 */
require_once '../Init/init.php';

Log::EchoFormat("==========================");
Log::EchoFormat("银行卡验证");
Log::EchoFormat("==========================");

$acc_no="6222080302003141097";
$id_card="510824198111087470";
$id_holder="罗爱坪";
$mobile="13920999831";

$PostHeadMap = array();
$PostHeadMap["member_id"] = $GLOBALS["Member_Id"];
$PostHeadMap["terminal_id"] = $GLOBALS["Terminal_Id"];
$PostHeadMap["data_type"] = "json";
$PostHeadMap["encrypt_type"] ="RSA";

$Datacontent = array();
$Datacontent["member_id"]= $GLOBALS["Member_Id"];
$Datacontent["terminal_id"]= $GLOBALS["Terminal_Id"];
$Datacontent["trans_id"]= "TID".Tools::getTransid().Tools::getRand4();//商户订单号（自定义订单号）
$Datacontent["trade_date"]= Tools::getTime("YmdHis");
$Datacontent["acc_no"]= $acc_no;//银行卡
$Datacontent["id_card"]= $id_card;//身份证
$Datacontent["id_holder"]= $id_holder;//姓名
$Datacontent["mobile"]= $mobile;//手机号
$Datacontent["card_type"]= "101";//借记卡:101，	信用卡:102
$Datacontent["id_type"]= "0";//0:身份证,1:军官证,2:护照
$Datacontent["industry_type"]= "A1";//行业类型   取值：默认A1
$Datacontent["valid_date"]= "";//(非信用卡传空)信用卡有效期，如：0117（月+年）
$Datacontent["valid_no"]= "";//(非信用卡传空)信用卡背面3位数字检验码，如：123
$Datacontent["verify_element"]= "1234";//取值：1234-1：四要素（银行卡号 + 姓名 + 身份证号 + 银行卡预留手机号+账户类型）
$Datacontent["acc_type"]= "";//账户类型   01 一类户

$JsonObject = json_encode($Datacontent);
Log::EchoFormat("序列化：".$JsonObject);

$En_DcStr = RSAUtil::encryptByCERFile($JsonObject, $GLOBALS["CER_FILE_PATH"]);
$PostHeadMap["data_content"] = $En_DcStr;

$DcStr2 = $PostHeadMap["member_id"] . $PostHeadMap["terminal_id"] . $PostHeadMap["data_type"] . $PostHeadMap["data_content"] . $PostHeadMap["encrypt_type"];
$base64str2 = base64_encode($DcStr2);
$Sign = SignatureUtils::Sign($base64str2, $GLOBALS["PFX_FILE_PATH"],$GLOBALS["KEY_PWD"]);;//签名商户私钥加密

$PostHeadMap["data_sign"] = $Sign;
Log::EchoFormat("请求参数：".json_encode($PostHeadMap));

$PostString  =  HttpClient::Post($PostHeadMap, $GLOBALS["POST_URL"]);
Log::EchoFormat("返回报文".$PostString);

if(empty($PostString)){
    throw  new Exception("请求返回异常！");
}
$Rsult = new ResultEntity();
$Rsult =  json_decode($PostString,FALSE);

if(!array_key_exists("resp_code",$Rsult)){
    throw new Exception("缺少resp_code参数！");
}
